GET

/v2.0/flows/{flowId}/chart/nodes

Try it

Get Nodes

cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes \
  --header 'X-API-Key: <api-key>'
```

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Codes

200
400
401
402
403
404
405
409
413
500
501
502
503
504

### Example Success Response
```json
{
  "items": [
    {
      "type": "if",
      "extension": "@cognigy/basic-nodes",
      "label": "A new Node",
      "comment": "this is a very important node",
      "commentColor": "#ff8a80",
      "isEntryPoint": false,
      "isDisabled": false,
      "config": {
        "condition": {
          "type": "rule",
          "condition": "",
          "rule": {
            "left": "1",
            "operand": "gt",
            "right": "2"
          }
        }
      },
      "localeReference": "63bd8ebb648e6e739f1bbd82",
      "analyticsLabel": "condition",
      "mock": {
        "isEnabled": false,
        "code": "console.log('Hello, world!');"
      },
      "_id": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Error Responses
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
